Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Interface HandlerRegistry

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  Service.HandlerRegistryImpl

public interface HandlerRegistry
extends java.io.Serializable

The `javax.xml.rpc.handler.HandlerRegistry` provides support for the programmatic configuration of handlers in a `HandlerRegistry`.

A handler chain is registered per service endpoint, as indicated by the qualified name of a port. The getHandlerChain returns the handler chain (as a java.util.List) for the specified service endpoint. The returned handler chain is configured using the java.util.List interface. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`

Version:
  1.0

Method Summary
`java.util.List` | `getHandlerChain(QName portName)` Gets the handler chain for the specified service endpoint.
`void` | `setHandlerChain(QName portName, java.util.List chain)` Sets the handler chain for the specified service endpoint as a `java.util.List`.

Method Detail

### getHandlerChain

    public java.util.List getHandlerChain(QName portName)

  Gets the handler chain for the specified service endpoint. The returned `List` is used to configure this specific handler chain in this `HandlerRegistry`. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.

  Parameters:
    `portName` - Qualified name of the target service
  Returns:
    HandlerChain java.util.List Handler chain
  Throws:
    `java.lang.IllegalArgumentException` - If an invalid `portName` is specified

### setHandlerChain

    public void setHandlerChain(QName portName,
                                java.util.List chain)

  Sets the handler chain for the specified service endpoint as a `java.util.List`. Each element in this list is required to be of the Java type `javax.xml.rpc.handler.HandlerInfo`.

  Parameters:
    `portName` - Qualified name of the target service endpoint
    `chain` - a List representing configuration for the handler chain
  Throws:
    `JAXRPCException` - if there is any error in the configuration of the handler chain
    `java.lang.UnsupportedOperationException` - if this set operation is not supported. This is done to avoid any overriding of a pre-configured handler chain.
    `java.lang.IllegalArgumentException` - If an invalid `portName` is specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.